<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.haibin.calendarview.CalendarView
            android:id="@+id/sign_card_record_cv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#FFE866"
            app:calendar_height="46dp"
            app:current_day_lunar_text_color="#ffffff"
            app:current_day_text_color="#ffffff"
            app:current_month_lunar_text_color="#999999"
            app:current_month_text_color="#333333"
            app:day_text_size="12sp"
            app:lunar_text_size="12sp"
            app:min_year="2018"
            app:month_view="com.sheep.gamegroup.view.customview.CalendarMonthView"
            app:month_view_scrollable="true"
            app:month_view_show_mode="mode_all"
            app:scheme_lunar_text_color="#ffffff"
            app:scheme_month_text_color="#ffffff"
            app:week_background="#FFE866"
            app:week_bar_view="com.haibin.calendarview.WeekBar"
            app:week_start_with="mon"
            app:week_text_color="#111" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="#FFE866"
            android:orientation="horizontal">

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="2" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:drawablePadding="7dp"
                android:drawableStart="@drawable/shape_oval_blue_8"
                android:gravity="center"
                android:text="当前日期"
                android:textColor="@color/black_666666"
                android:textSize="9sp" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:drawablePadding="7dp"
                android:drawableStart="@drawable/shape_oval_red_8"
                android:gravity="center"
                android:text="成功打卡"
                android:textColor="@color/black_666666"
                android:textSize="9sp" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="2" />
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:gravity="center_vertical"
            android:paddingEnd="16dp"
            android:paddingStart="16dp"
            android:text="打卡统计"
            android:textColor="#ff333333"
            android:textSize="14sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="累计赚取"
                android:textColor="#ff333333"
                android:textSize="13sp" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="累计投入"
                android:textColor="#ff333333"
                android:textSize="13sp" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="成功打卡"
                android:textColor="#ff333333"
                android:textSize="13sp" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="连续打卡"
                android:textColor="#ff333333"
                android:textSize="13sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/total_award"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="4379元"
                android:textColor="#FD2D54"
                android:textSize="13sp" />

            <TextView
                android:id="@+id/total_money"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="1238元"
                android:textColor="#2EBEF2"
                android:textSize="13sp" />

            <TextView
                android:id="@+id/total_punch_count"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="5617人"
                android:textColor="#FD8C1E"
                android:textSize="13sp" />

            <TextView
                android:id="@+id/continue_punch_count"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="5617人"
                android:textColor="#00BC3E"
                android:textSize="13sp" />
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:gravity="center_vertical"
            android:paddingEnd="16dp"
            android:paddingStart="16dp"
            android:text="打卡记录"
            android:textColor="#ff333333"
            android:textSize="14sp" />

        <include layout="@layout/item_sign_card_record_title" />

    </LinearLayout>
</RelativeLayout>
